package _VisualDVM.TestingSystem.Common.Test.UI;
import Common.Visual.TextField.StyledTextField;
import Common.Visual.Windows.Dialog.DialogFields;

import javax.swing.*;
import java.awt.*;
public class TestFields implements DialogFields {
    public JTextField tfName;
    public JSpinner sMinDim;
    public JSpinner sMaxDim;
    public JTextArea taExtendedDescription;
    private JPanel content;
    public TestFields() {
        sMinDim.setModel(new SpinnerNumberModel(1, 0, 16, 1));
        sMaxDim.setModel(new SpinnerNumberModel(1, 0, 16, 1));
    }
    @Override
    public Component getContent() {
        return content;
    }
    private void createUIComponents() {
        // TODO: place custom component creation code here
        tfName = new StyledTextField();
    }
}
